Loading...
Searching...
No Matches
Ogre::IlluminationPass Struct Reference
Core » Materials

Struct recording a pass which can be used for a specific illumination stage. More...

`#include <OgrePass.h>`

Inheritance diagram for Ogre::IlluminationPass:
[legend]

## Public Member Functions

| IlluminationPass ()

## Public Attributes

bool | destroyOnShutdown
| Whether this pass is one which should be deleted itself.
Pass * | originalPass
| The original pass which spawned this one.
Pass * | pass
| The pass to use in this stage.
IlluminationStage | stage

## Detailed Description

Struct recording a pass which can be used for a specific illumination stage.

This structure is used to record categorised passes which fit into a number of distinct illumination phases - ambient, diffuse / specular (per-light) and decal (post-lighting texturing). An original pass may fit into one of these categories already, or it may require splitting into its component parts in order to be categorised properly.

## Constructor & Destructor Documentation

## IlluminationPass()

Ogre::IlluminationPass::IlluminationPass | ( |  | ) |

inline

## Member Data Documentation

## stage

IlluminationStage Ogre::IlluminationPass::stage

## pass

Pass* Ogre::IlluminationPass::pass

The pass to use in this stage.

## destroyOnShutdown

bool Ogre::IlluminationPass::destroyOnShutdown

Whether this pass is one which should be deleted itself.

## originalPass

Pass* Ogre::IlluminationPass::originalPass

The original pass which spawned this one.

The documentation for this struct was generated from the following file:

- OgrePass.h